MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032243Open CASCADE[OCCT] OCCT:Testspublic2021-03-24 10:422021-04-03 12:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032243: Tests - unexpected file artifact s.stl at the root of repository
DescriptionThere are several file artifacts that could be found at the root of OCCT repository after execution of all tests, including:
- s.stl
- comp_nonmanifold.step
- bug31301_1.stp
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031998verifiedbugmaster Open CASCADE Tests - unexpected file artifact at the root of repository 
child of 0031504closedbugmaster Open CASCADE Data Exchange - Wrong output of progress indicator when writing to stl. 

-  Notes
(0099703)
git (administrator)
2021-03-24 10:55

Branch CR32243 has been created by kgv.

SHA-1: 09ebb78d05d1e33d626eeb8eb00eda4e09f70ba0


Detailed log of new commits:

Author: kgv
Date: Wed Mar 24 10:52:51 2021 +0300

    0032243: Tests - unexpected file artifact s.stl at the root of repository
    
    Several test cases have been corrected to avoid creation
    of temporary files s.stl, comp_nonmanifold.step, bug31301_1.stp at unexpected location.
(0099712)
kgv (developer)
2021-03-24 12:50

Please raise the patch
- OCCT: branch CR32243.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32243-master-KGV/ [^]
(0099722)
bugmaster (administrator)
2021-03-24 22:57

test
(0099783)
bugmaster (administrator)
2021-03-27 14:09

Combination -
OCCT branch : WEEK-12
master SHA - 154b4635b8bd4c6c527738f59fd7d9d4f2cda509
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : WEEK-12 SHA - 0779901f5e4c7f986db723d4a181df62079baf71
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17172.74000000034 / 17208.820000000378 [-0.21%]
Products
Total CPU difference: 11546.97000000013 / 11481.660000000102 [+0.57%]
Windows-64-VC14:
OCCT
Total CPU difference: 18612.140625 / 18668.765625 [-0.30%]
Products
Total CPU difference: 12857.140625 / 12879.75 [-0.18%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100057)
git (administrator)
2021-04-03 12:50

Branch CR32243 has been deleted by inv.

SHA-1: 09ebb78d05d1e33d626eeb8eb00eda4e09f70ba0

- Related Changesets
occt: master 63879968
Timestamp: 2021-03-24 07:52:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032243: Tests - unexpected file artifact s.stl at the root of repository

Several test cases have been corrected to avoid creation
of temporary files s.stl, comp_nonmanifold.step, bug31301_1.stp at unexpected location.
mod - tests/bugs/step/bug31301 Diff ] File ]
mod - tests/bugs/step/bug31301_2 Diff ] File ]
mod - tests/bugs/step/bug31485 Diff ] File ]
mod - tests/bugs/step/bug31617 Diff ] File ]
mod - tests/de_mesh/shape_write_stl/B1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-24 10:42 kgv New Issue
2021-03-24 10:42 kgv Assigned To => kgv
2021-03-24 10:43 kgv Description Updated View Revisions
2021-03-24 10:55 git Note Added: 0099703
2021-03-24 10:56 kgv Relationship added child of 0030052
2021-03-24 10:56 kgv Relationship added child of 0031301
2021-03-24 10:57 kgv Relationship added child of 0031485
2021-03-24 10:57 kgv Relationship added child of 0031617
2021-03-24 10:57 kgv Relationship added child of 0031504
2021-03-24 10:58 kgv Relationship added related to 0031998
2021-03-24 12:50 kgv Note Added: 0099712
2021-03-24 12:50 kgv Assigned To kgv => bugmaster
2021-03-24 12:50 kgv Severity minor => trivial
2021-03-24 12:50 kgv Status new => resolved
2021-03-24 18:52 kgv Status resolved => reviewed
2021-03-24 22:57 bugmaster Note Added: 0099722
2021-03-27 14:09 bugmaster Note Added: 0099783
2021-03-27 14:09 bugmaster Status reviewed => tested
2021-03-27 14:12 bugmaster Test case number => Not required
2021-03-27 14:19 bugmaster Changeset attached => occt master 63879968
2021-03-27 14:19 bugmaster Status tested => verified
2021-03-27 14:19 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100057


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker